| drget

## Wiki

The master copies of EMBOSS documentation are available at http://emboss.open-bio.org/wiki/Appdocs on the EMBOSS Wiki.

Please help by correcting and extending the Wiki pages.

## Function

Get data resource entries

## Description

Searches a database of data resources and returns matching entries.

## Usage

Here is a sample session with drget

    % drget drcat:uniprot
    Get data resource entries
    Data resource output file [uniprot.drcat]:

Go to the input files for this example
Go to the output files for this example

## Command line arguments

    Get data resource entries
    Version: EMBOSS:6.6.0.0

       Standard (Mandatory) qualifiers:
      [-resources]         resource   Data resource filename and optional format,
                                      or reference (input query)
      [-outfile]           outresource [*.drget] Output data resource file name

       Additional (Optional) qualifiers: (none)
       Advanced (Unprompted) qualifiers: (none)
       Associated qualifiers:

       "-resources" associated qualifiers
       -iformat1           string     Input resource format
       -iquery1            string     Input query fields or ID list
       -ioffset1           integer    Input start position offset
       -idbname1           string     User-provided database name

       "-outfile" associated qualifiers
       -odirectory2        string     Output directory
       -oformat2           string     Data resource output format

       General qualifiers:
       -auto               boolean    Turn off prompts
       -stdout             boolean    Write first file to standard output
       -filter             boolean    Read first file from standard input, write
                                      first file to standard output
       -options            boolean    Prompt for standard and additional values
       -debug              boolean    Write debug output to program.dbg
       -verbose            boolean    Report some/full command line options
       -help               boolean    Report command line options and exit. More
                                      information on associated and general
                                      qualifiers can be found with -help -verbose
       -warning            boolean    Report warnings
       -error              boolean    Report errors
       -fatal              boolean    Report fatal errors
       -die                boolean    Report dying program messages
       -version            boolean    Report version number and exit

Qualifier | Type | Description | Allowed values | Default
--- | --- | --- | --- | ---
Standard (Mandatory) qualifiers
[-resources] (Parameter 1) | resource | Data resource filename and optional format, or reference (input query) | Data resource catalogue entry(s) |
[-outfile] (Parameter 2) | outresource | Output data resource file name | Data resource entry | <*>.drget
Additional (Optional) qualifiers
(none)
Advanced (Unprompted) qualifiers
(none)
Associated qualifiers
"-resources" associated resource qualifiers
-iformat1 -iformat_resources | string | Input resource format | Any string |
-iquery1 -iquery_resources | string | Input query fields or ID list | Any string |
-ioffset1 -ioffset_resources | integer | Input start position offset | Any integer value | 0
-idbname1 -idbname_resources | string | User-provided database name | Any string |
"-outfile" associated outresource qualifiers
-odirectory2 -odirectory_outfile | string | Output directory | Any string |
-oformat2 -oformat_outfile | string | Data resource output format | Any string |
General qualifiers
-auto | boolean | Turn off prompts | Boolean value Yes/No | N
-stdout | boolean | Write first file to standard output | Boolean value Yes/No | N
-filter | boolean | Read first file from standard input, write first file to standard output | Boolean value Yes/No | N
-options | boolean | Prompt for standard and additional values | Boolean value Yes/No | N
-debug | boolean | Write debug output to program.dbg | Boolean value Yes/No | N
-verbose | boolean | Report some/full command line options | Boolean value Yes/No | Y
-help | boolean | Report command line options and exit. More information on associated and general qualifiers can be found with -help -verbose | Boolean value Yes/No | N
-warning | boolean | Report warnings | Boolean value Yes/No | Y
-error | boolean | Report errors | Boolean value Yes/No | Y
-fatal | boolean | Report fatal errors | Boolean value Yes/No | Y
-die | boolean | Report dying program messages | Boolean value Yes/No | Y
-version | boolean | Report version number and exit | Boolean value Yes/No | N

## Input file format

drget reads any data resource query.

### Input files for usage example

### Database entry: drcat:uniprot

    ID      UniProt
    IDalt   UniProtKB
    Name    Universal protein resource
    Desc    A comprehensive, high-quality and freely accessible resource of protein sequence and functional information.
    URL     http://www.uniprot.org/
    Taxon   1 | all
    EDAMtpc 0639 | Protein sequence analysis
    EDAMdat 2201 | Sequence record full
    EDAMid  3021 | UniProt accession
    EDAMfmt 1929 | FASTA format
    EDAMfmt 2376 | RDF
    EDAMfmt 2188 | uniprot
    EDAMfmt 2331 | HTML
    EDAMfmt 2332 | XML
    Xref    SP_FT | None
    Query    Sequence record full | HTML | UniProt accession | http://www.uniprot.org/uniprot/%s
    Query    Sequence record full | uniprot | UniProt accession | http://www.uniprot.org/uniprot/%s.txt
    Query    Sequence record full | XML | UniProt accession | http://www.uniprot.org/uniprot/%s.xml
    Query    Sequence record full | RDF | UniProt accession | http://www.uniprot.org/uniprot/%s.rdf
    Query    Sequence record full | FASTA format | UniProt accession | http://www.uniprot.org/uniprot/%s.fasta
    Example UniProt accession | P12345

## Output file format

The output is a standard EMBOSS resource file.

The results can be output in one of several styles by using the command-line qualifier `-oformat xxx`, where 'xxx' is replaced by the name of the required format. The available format names are: drcat, basic, wsbasic, list.

See: http://emboss.sf.net/docs/themes/ResourceFormats.html for further information on resource formats.

### Output files for usage example

### File: uniprot.drcat

    ID      UniProt
    IDalt   UniProtKB
    Name    Universal protein resource
    Desc    A comprehensive, high-quality and freely accessible resource of protein sequence and functional information.
    URL     http://www.uniprot.org/
    Taxon   1 | all
    EDAMtpc 0639 | Protein sequence analysis
    EDAMdat 2201 | Sequence record full
    EDAMid  3021 | UniProt accession
    EDAMfmt 1929 | FASTA format
    EDAMfmt 2376 | RDF
    EDAMfmt 2188 | uniprot
    EDAMfmt 2331 | HTML
    EDAMfmt 2332 | XML
    Xref    SP_FT | None
    Query    Sequence record full | HTML | UniProt accession | http://www.uniprot.org/uniprot/%s
    Query    Sequence record full | uniprot | UniProt accession | http://www.uniprot.org/uniprot/%s.txt
    Query    Sequence record full | XML | UniProt accession | http://www.uniprot.org/uniprot/%s.xml
    Query    Sequence record full | RDF | UniProt accession | http://www.uniprot.org/uniprot/%s.rdf
    Query    Sequence record full | FASTA format | UniProt accession | http://www.uniprot.org/uniprot/%s.fasta
    Example UniProt accession | P12345

## Data files

The Data Resource Catalogue is included in EMBOSS as local database drcat.

## Notes

None.

## References

None.

## Warnings

None.

## Diagnostic Error Messages

None.

## Exit status

It always exits with status 0.

## Known bugs

None.

## See also

Program name | Description
--- | ---
drfinddata | Find public databases by data type
drfindformat | Find public databases by format
drfindid | Find public databases by identifier
drfindresource | Find public databases by resource
drtext | Get data resource entries complete text

## Author(s)

Peter Rice
European Bioinformatics Institute, Wellcome Trust Genome Campus, Hinxton, Cambridge CB10 1SD, UK

Please report all bugs to the EMBOSS bug team (emboss-bug © emboss.open-bio.org) not to the original author.

## History

## Target users

This program is intended to be used by everyone and everything, from naive users to embedded scripts.

## Comments

None